Package org.eclipse.emf.cdo.ui

# Class Support

java.lang.Object
org.eclipse.net4j.util.AbstractSupport
org.eclipse.emf.cdo.ui.Support

@Deprecated public abstract class Support extends org.eclipse.net4j.util.AbstractSupport
Deprecated.
As of 4.15 use `Support`.

Since:
  4.5
Author:
  Eike Stepper
No Extend
  This class is not intended to be subclassed by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.net4j.util.AbstractSupport

`org.eclipse.net4j.util.AbstractSupport.ClassAvailability`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Support`
`COMPARE`
Deprecated.
`static final Support`
`HISTORY`
Deprecated.
`static final Support`
`PROPERTIES`
Deprecated.
`static final Support`
`SERVER_SECURITY`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`protected abstract boolean`
`determineAvailability()`
Deprecated.

### Methods inherited from class org.eclipse.net4j.util.AbstractSupport

`isAvailable`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### PROPERTIES

public static final Support PROPERTIES
Deprecated.

### HISTORY

public static final Support HISTORY
Deprecated.

### COMPARE

public static final Support COMPARE
Deprecated.

### SERVER_SECURITY

public static final Support SERVER_SECURITY
Deprecated.

Since:
  4.11

## Method Details

### determineAvailability

protected abstract boolean determineAvailability() throws Throwable
Deprecated.

Specified by:
  `determineAvailability` in class `org.eclipse.net4j.util.AbstractSupport`
Throws:
  `Throwable`